org.springframework.batch.item.database.support

## Interface DataFieldMaxValueIncrementerFactory

- All Known Implementing Classes:
    DefaultDataFieldMaxValueIncrementerFactory

      public interface DataFieldMaxValueIncrementerFactory

  Factory for creating `DataFieldMaxValueIncrementer` implementations based upon a provided string.
  Author:
    Lucas Ward

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.jdbc.support.incrementer.DataFieldMaxValueIncrementer` | `getIncrementer(java.lang.String databaseType, java.lang.String incrementerName)` Return the `DataFieldMaxValueIncrementer` for the provided database type.
    `java.lang.String[]` | `getSupportedIncrementerTypes()` Returns the list of supported database incrementer types
    `boolean` | `isSupportedIncrementerType(java.lang.String databaseType)` Returns boolean indicated whether or not the provided string is supported by this factory.

- - ### Method Detail

    - #### getIncrementer

          org.springframework.jdbc.support.incrementer.DataFieldMaxValueIncrementer getIncrementer(java.lang.String databaseType,
                                                                                                   java.lang.String incrementerName)

      Return the `DataFieldMaxValueIncrementer` for the provided database type.
      Parameters:
        `databaseType` - string represented database type
        `incrementerName` - incrementer name to create. In many cases this may be the sequence name
      Returns:
        incrementer
      Throws:
        `java.lang.IllegalArgumentException` - if databaseType is invalid type, or incrementerName is null.

    - #### isSupportedIncrementerType

          boolean isSupportedIncrementerType(java.lang.String databaseType)

      Returns boolean indicated whether or not the provided string is supported by this factory.
      Parameters:
        `databaseType` - `String` containing the database type.
      Returns:
        true if the incrementerType is supported by this database type. Else false is returned.

    - #### getSupportedIncrementerTypes

          java.lang.String[] getSupportedIncrementerTypes()

      Returns the list of supported database incrementer types
      Returns:
        an array of `String`s containing the supported incrementer types.